atlassian.com – jira
Jira Cloud platform REST API documentation
- Homepage
- https://api.apis.guru/v2/specs/atlassian.com:jira/1001.0.0-SNAPSHOT.json
- Provider
- atlassian.com:jira / jira
- OpenAPI version
- 3.0.1
- Spec (JSON)
- https://api.apis.guru/v2/specs/atlassian.com/jira/1001.0.0-SNAPSHOT/openapi.json
- Spec (YAML)
- https://api.apis.guru/v2/specs/atlassian.com/jira/1001.0.0-SNAPSHOT/openapi.yaml
Tools (489)
Extracted live via the executor SDK.
-
announcementBanner.getBannerReturns the current announcement banner configuration.
required: Administer Jira .
-
announcementBanner.setBannerUpdates the announcement banner configuration.
required: Administer Jira .
-
applicationRoles.getAllApplicationRolesReturns all application roles. In Jira, application roles are managed using the page.
required: Administer Jira .
-
applicationRoles.getApplicationRoleReturns an application role.
required: Administer Jira .
-
appMigration.appIssueFieldValueUpdateResourceUpdateIssueFieldsPutUpdates the value of a custom field added by Connect apps on one or more issues. The values of up to 200 custom fields can be updated.
required: Only Connect apps can make this request.
-
appMigration.migrationResourceUpdateEntityPropertiesValuePutUpdates the values of multiple entity properties for an object, up to 50 updates per request. This operation is for use by Connect apps during app migration.
-
appMigration.migrationResourceWorkflowRuleSearchPostReturns configurations for workflow transition rules migrated from server to cloud and owned by the calling Connect app.
-
appProperties.addonPropertiesResourceDeleteAddonPropertyDeleteDeletes an app's property.
required: Only a Connect app whose key matches
addonKeycan make this request. -
appProperties.addonPropertiesResourceGetAddonPropertiesGetGets all the properties of an app.
required: Only a Connect app whose key matches
addonKeycan make this request. Additionally, Forge apps published on the Marketplace can access properties of Connect apps they were . -
appProperties.addonPropertiesResourceGetAddonPropertyGetReturns the key and value of an app's property.
required: Only a Connect app whose key matches
addonKeycan make this request. Additionally, Forge apps published on the Marketplace can access properties of Connect apps they were . -
appProperties.addonPropertiesResourcePutAddonPropertyPutSets the value of an app's property. Use this resource to store custom data for your app.
The value of the request body must be a , non-empty JSON blob. The maximum length is 32768 characters.
required: Only a Connect app whose key matches
addonKeycan make this request. -
auditRecords.getAuditRecordsReturns a list of audit records. The list can be filtered to include items:
-
where each item in
filterhas at least one match in any of these fields:summarycategoryeventSourceobjectItem.nameIf the object is a user, account ID is available to filter.objectItem.parentNameobjectItem.typeNamechangedValues.changedFromchangedValues.changedToremoteAddress
For example, if
filtercontains man ed, an audit record containingsummary": "User added to group"and"category": "group management"is returned. -
created on or after a date and time.
-
created or or before a date and time.
required: Administer Jira .
-
-
avatars.deleteAvatarDeletes an avatar from a project or issue type.
required: Administer Jira .
-
avatars.getAllSystemAvatarsReturns a list of system avatar details by owner type, where the owner types are issue type, project, or user.
This operation can be accessed anonymously.
required: None.
-
avatars.getAvatarImageByIdReturns a project or issue type avatar image by ID.
This operation can be accessed anonymously.
required:
- For system avatars, none.
- For custom project avatars, Browse projects for the project the avatar belongs to.
- For custom issue type avatars, Browse projects for at least one project the issue type is used in.
-
avatars.getAvatarImageByOwnerReturns the avatar image for a project or issue type.
This operation can be accessed anonymously.
required:
- For system avatars, none.
- For custom project avatars, Browse projects for the project the avatar belongs to.
- For custom issue type avatars, Browse projects for at least one project the issue type is used in.
-
avatars.getAvatarImageByTypeReturns the default project or issue type avatar image.
This operation can be accessed anonymously.
required: None.
-
avatars.getAvatarsReturns the system and custom avatars for a project or issue type.
This operation can be accessed anonymously.
required:
- for custom project avatars, Browse projects for the project the avatar belongs to.
- for custom issue type avatars, Browse projects for at least one project the issue type is used in.
- for system avatars, none.
-
avatars.storeAvatarLoads a custom avatar for a project or issue type.
Specify the avatar's local file location in the body of the request. Also, include the following headers:
X-Atlassian-Token: no-checkTo prevent XSRF protection blocking the request, for more information see .Content-Type: image/image typeValid image types are JPEG, GIF, or PNG.
For example:
curl --request POST--user email@example.com:<api_token>--header 'X-Atlassian-Token: no-check'--header 'Content-Type: image/< image_type>'--data-binary "<@/path/to/file/with/your/avatar>"--url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/type/{type}/owner/{entityId}'The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
After creating the avatar use:
- to set it as the issue type's displayed avatar.
- to set it as the project's displayed avatar.
required: Administer Jira .
-
dashboards.addGadgetAdds a gadget to a dashboard.
required: None.
-
dashboards.copyDashboardCopies a dashboard. Any values provided in the
dashboardparameter replace those in the copied dashboard.required: None
The dashboard to be copied must be owned by or shared with the user.
-
dashboards.createDashboardCreates a dashboard.
required: None.
-
dashboards.deleteDashboardDeletes a dashboard.
required: None
The dashboard to be deleted must be owned by the user.
-
dashboards.deleteDashboardItemPropertyDeletes a dashboard item property.
This operation can be accessed anonymously.
required: The user must be the owner of the dashboard. Note, users with the Administer Jira are considered owners of the System dashboard.
-
dashboards.getAllAvailableDashboardGadgetsGets a list of all available gadgets that can be added to all dashboards.
required: None.
-
dashboards.getAllDashboardsReturns a list of dashboards owned by or shared with the user. The list may be filtered to include only favorite or owned dashboards.
This operation can be accessed anonymously.
required: None.
-
dashboards.getAllGadgetsReturns a list of dashboard gadgets on a dashboard.
This operation returns:
- Gadgets from a list of IDs, when
idis set. - Gadgets with a module key, when
moduleKeyis set. - Gadgets from a list of URIs, when
uriis set. - All gadgets, when no other parameters are set.
This operation can be accessed anonymously.
required: None.
- Gadgets from a list of IDs, when
-
dashboards.getDashboardReturns a dashboard.
This operation can be accessed anonymously.
required: None.
However, to get a dashboard, the dashboard must be shared with the user or the user must own it. Note, users with the Administer Jira are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users.
-
dashboards.getDashboardItemPropertyReturns the key and value of a dashboard item property.
A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see .
When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see and the documentation.
There is no resource to set or get dashboard items.
This operation can be accessed anonymously.
required: The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the Administer Jira are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
-
dashboards.getDashboardItemPropertyKeysReturns the keys of all properties for a dashboard item.
This operation can be accessed anonymously.
required: The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the Administer Jira are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
-
dashboards.getDashboardsPaginatedReturns a list of dashboards. This operation is similar to except that the results can be refined to include dashboards that have specific attributes. For example, dashboards with a particular name. When multiple attributes are specified only filters matching all attributes are returned.
This operation can be accessed anonymously.
required: The following dashboards that match the query parameters are returned:
- Dashboards owned by the user. Not returned for anonymous users.
- Dashboards shared with a group that the user is a member of. Not returned for anonymous users.
- Dashboards shared with a private project that the user can browse. Not returned for anonymous users.
- Dashboards shared with a public project.
- Dashboards shared with the public.
-
dashboards.removeGadgetRemoves a dashboard gadget from a dashboard.
When a gadget is removed from a dashboard, other gadgets in the same column are moved up to fill the emptied position.
required: None.
-
dashboards.setDashboardItemPropertySets the value of a dashboard item property. Use this resource in apps to store custom data against a dashboard item.
A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see .
When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see and the documentation.
There is no resource to set or get dashboard items.
The value of the request body must be a , non-empty JSON blob. The maximum length is 32768 characters.
This operation can be accessed anonymously.
required: The user must be the owner of the dashboard. Note, users with the Administer Jira are considered owners of the System dashboard.
-
dashboards.updateDashboardUpdates a dashboard, replacing all the dashboard details with those provided.
required: None
The dashboard to be updated must be owned by the user.
-
dashboards.updateGadgetChanges the title, position, and color of the gadget on a dashboard.
required: None.
-
dynamicModules.dynamicModulesResourceGetModulesGetReturns all modules registered dynamically by the calling app.
required: Only Connect apps can make this request.
-
dynamicModules.dynamicModulesResourceRegisterModulesPostRegisters a list of modules.
required: Only Connect apps can make this request.
-
dynamicModules.dynamicModulesResourceRemoveModulesDeleteRemove all or a list of modules registered by the calling app.
required: Only Connect apps can make this request.
-
filters.changeFilterOwnerChanges the owner of the filter.
required: Permission to access Jira. However, the user must own the filter or have the Administer Jira .
-
filters.createFilterCreates a filter. The filter is shared according to the . The filter is not selected as a favorite.
required: Permission to access Jira.
-
filters.deleteFavouriteForFilterRemoves a filter as a favorite for the user. Note that this operation only removes filters visible to the user from the user's favorites list. For example, if the user favorites a public filter that is subsequently made private (and is therefore no longer visible on their favorites list) they cannot remove it from their favorites list.
required: Permission to access Jira.
-
filters.deleteFilterDelete a filter.
required: Permission to access Jira, however filters can only be deleted by the creator of the filter or a user with Administer Jira .
-
filters.getColumnsReturns the columns configured for a filter. The column configuration is used when the filter's results are viewed in List View with the Columns set to Filter.
This operation can be accessed anonymously.
required: None, however, column details are only returned for:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
-
filters.getFavouriteFiltersReturns the visible favorite filters of the user.
This operation can be accessed anonymously.
required: A favorite filter is only visible to the user where the filter is:
- owned by the user.
- shared with a group that the user is a member of.
- shared with a private project that the user has Browse projects for.
- shared with a public project.
- shared with the public.
For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
-
filters.getFilterReturns a filter.
This operation can be accessed anonymously.
required: None, however, the filter is only returned where it is:
- owned by the user.
- shared with a group that the user is a member of.
- shared with a private project that the user has Browse projects for.
- shared with a public project.
- shared with the public.
-
filters.getFiltersReturns all filters. Deprecated, use that supports search and pagination.
This operation can be accessed anonymously.
required: None, however, only the following filters are returned:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
-
filters.getFiltersPaginatedReturns a list of filters. Use this operation to get:
- specific filters, by defining
idonly. - filters that match all of the specified attributes. For example, all filters for a user with a particular word in their name. When multiple attributes are specified only filters matching all attributes are returned.
This operation can be accessed anonymously.
required: None, however, only the following filters that match the query parameters are returned:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
- specific filters, by defining
-
filters.getMyFiltersReturns the filters owned by the user. If
includeFavouritesistrue, the user's visible favorite filters are also returned.required: Permission to access Jira, however, a favorite filters is only visible to the user where the filter is:
- owned by the user.
- shared with a group that the user is a member of.
- shared with a private project that the user has Browse projects for.
- shared with a public project.
- shared with the public.
For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
-
filters.resetColumnsReset the user's column configuration for the filter to the default.
required: Permission to access Jira, however, columns are only reset for:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
-
filters.setColumnsSets the columns for a filter. Only navigable fields can be set as columns. Use to get the list fields in Jira. A navigable field has
navigableset totrue.The parameters for this resource are expressed as HTML form data. For example, in curl:
curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/filter/10000/columnsrequired: Permission to access Jira, however, columns are only set for:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
-
filters.setFavouriteForFilterAdd a filter as a favorite for the user.
required: Permission to access Jira, however, the user can only favorite:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
-
filters.updateFilterUpdates a filter. Use this operation to update a filter's name, description, JQL, or sharing.
required: Permission to access Jira, however the user must own the filter.
-
filterSharing.addSharePermissionAdd a share permissions to a filter. If you add a global share permission (one for all logged-in users or the public) it will overwrite all share permissions for the filter.
Be aware that this operation uses different objects for updating share permissions compared to .
required: Share dashboards and filters and the user must own the filter.
-
filterSharing.deleteSharePermissionDeletes a share permission from a filter.
required: Permission to access Jira and the user must own the filter.
-
filterSharing.getDefaultShareScopeReturns the default sharing settings for new filters and dashboards for a user.
required: Permission to access Jira.
-
filterSharing.getSharePermissionReturns a share permission for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
This operation can be accessed anonymously.
required: None, however, a share permission is only returned for:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
-
filterSharing.getSharePermissionsReturns the share permissions for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
This operation can be accessed anonymously.
required: None, however, share permissions are only returned for:
- filters owned by the user.
- filters shared with a group that the user is a member of.
- filters shared with a private project that the user has Browse projects for.
- filters shared with a public project.
- filters shared with the public.
-
filterSharing.setDefaultShareScopeSets the default sharing for new filters and dashboards for a user.
required: Permission to access Jira.
-
groupAndUserPicker.findUsersAndGroupsReturns a list of users and groups matching a string. The string is used:
- for users, to find a case-insensitive match with display name and e-mail address. Note that if a user has hidden their email address in their user profile, partial matches of the email address will not find the user. An exact match is required.
- for groups, to find a case-sensitive match with group name.
For example, if the string tin is used, records with the display name Tina, email address , and the group accounting would be returned.
Optionally, the search can be refined to:
-
the projects and issue types associated with a custom field, such as a user picker. The search can then be further refined to return only users and groups that have permission to view specific:
- projects.
- issue types.
If multiple projects or issue types are specified, they must be a subset of those enabled for the custom field or no results are returned. For example, if a field is enabled for projects A, B, and C then the search could be limited to projects B and C. However, if the search is limited to projects B and D, nothing is returned.
-
not return Connect app users and groups.
-
return groups that have a case-insensitive match with the query.
The primary use case for this resource is to populate a picker field suggestion list with users or groups. To this end, the returned object includes an
htmlfield for each list. This field highlights the matched query term in the item name with the HTML strong tag. Also, each list is wrapped in a response object that contains a header for use in a picker, specifically Showing X of Y matching groups.This operation can be accessed anonymously.
required: Browse users and groups .
-
groups.addUserToGroupAdds a user to a group.
required: Site administration (that is, member of the site-admin ).
-
groups.bulkGetGroupsReturns a list of groups.
required: Browse users and groups .
-
groups.createGroupCreates a group.
required: Site administration (that is, member of the site-admin ).
-
groups.findGroupsReturns a list of groups whose names contain a query string. A list of group names can be provided to exclude groups from the results.
The primary use case for this resource is to populate a group picker suggestions list. To this end, the returned object includes the
htmlfield where the matched query term is highlighted in the group name with the HTML strong tag. Also, the groups list is wrapped in a response object that contains a header for use in the picker, specifically Showing X of Y matching groups.The list returns with the groups sorted. If no groups match the list criteria, an empty list is returned.
This operation can be accessed anonymously.
required: Browse projects . Anonymous calls and calls by users without the required permission return an empty list.
Browse users and groups . Without this permission, calls where query is not an exact match to an existing group will return an empty list.
-
groups.getGroupThis operation is deprecated, use .
Returns all users in a group.
required: Administer Jira .
-
groups.getUsersFromGroupReturns a list of all users in a group.
Note that users are ordered by username, however the username is not returned in the results due to privacy reasons.
required: Administer Jira .
-
groups.removeGroupDeletes a group.
required: Site administration (that is, member of the site-admin strategic ).
-
groups.removeUserFromGroupRemoves a user from a group.
required: Site administration (that is, member of the site-admin ).
-
instanceInformation.getLicenseReturns licensing information about the Jira instance.
required: None.
-
issueAttachments.addAttachmentAdds one or more attachments to an issue. Attachments are posted as multipart/form-data ().
Note that:
- The request must have a
X-Atlassian-Token: no-checkheader, if not it is blocked. See for more information. - The name of the multipart/form-data parameter that contains the attachments must be
file.
The following examples upload a file called myfile.txt to the issue TEST-123:
curl
Node.js
Java
Python
PHP
Forge
Tip: Use a client library. Many client libraries have classes for handling multipart POST operations. For example, in Java, the Apache HTTP Components library provides a class for multipart POST operations.
This operation can be accessed anonymously.
required:
- Browse Projects and Create attachments for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
curl --location --request POST 'https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments' -u 'email@example.com:<api_token>' -H 'X-Atlassian-Token: no-check' --form 'file=@"myfile.txt"'// This code sample uses the 'node-fetch' and 'form-data' libraries: // https://www.npmjs.com/package/node-fetch // https://www.npmjs.com/package/form-data const fetch = require('node-fetch'); const FormData = require('form-data'); const fs = require('fs'); const filePath = 'myfile.txt'; const form = new FormData(); const stats = fs.statSync(filePath); const fileSizeInBytes = stats.size; const fileStream = fs.createReadStream(filePath); form.append('file', fileStream, {knownLength: fileSizeInBytes}); fetch('https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments', { method: 'POST', body: form, headers: { 'Authorization': `Basic ${Buffer.from( 'email@example.com:' ).toString('base64')}`, 'Accept': 'application/json', 'X-Atlassian-Token': 'no-check' } }) .then(response => { console.log( `Response: ${response.status} ${response.statusText}` ); return response.text(); }) .then(text => console.log(text)) .catch(err => console.error(err));// This code sample uses the 'Unirest' library: // http://unirest.io/java.html HttpResponse response = Unirest.post("https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments") .basicAuth("email@example.com", "") .header("Accept", "application/json") .header("X-Atlassian-Token", "no-check") .field("file", new File("myfile.txt")) .asJson(); System.out.println(response.getBody());# This code sample uses the 'requests' library: # http://docs.python-requests.org import requests from requests.auth import HTTPBasicAuth import json url = "https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments" auth = HTTPBasicAuth("email@example.com", "") headers = { "Accept": "application/json", "X-Atlassian-Token": "no-check" } response = requests.request( "POST", url, headers = headers, auth = auth, files = { "file": ("myfile.txt", open("myfile.txt","rb"), "application-type") } ) print(json.dumps(json.loads(response.text), sort_keys=True, indent=4, separators=(",", ": ")))// This code sample uses the 'Unirest' library: // http://unirest.io/php.html Unirest\Request::auth('email@example.com', ''); $headers = array( 'Accept' => 'application/json', 'X-Atlassian-Token' => 'no-check' ); $parameters = array( 'file' => File::add('myfile.txt') ); $response = Unirest\Request::post( 'https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments', $headers, $parameters ); var_dump($response)// This sample uses Atlassian Forge and the `form-data` library. // https://developer.atlassian.com/platform/forge/ // https://www.npmjs.com/package/form-data import api from "@forge/api"; import FormData from "form-data"; const form = new FormData(); form.append('file', fileStream, {knownLength: fileSizeInBytes}); const response = await api.asApp().requestJira('/rest/api/2/issue/{issueIdOrKey}/attachments', { method: 'POST', body: form, headers: { 'Accept': 'application/json', 'X-Atlassian-Token': 'no-check' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json()); - The request must have a
-
issueAttachments.expandAttachmentForHumansReturns the metadata for the contents of an attachment, if it is an archive, and metadata for the attachment itself. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned and metadata for the ZIP archive. Currently, only the ZIP archive format is supported.
Use this operation to retrieve data that is presented to the user, as this operation returns the metadata for the attachment itself, such as the attachment's ID and name. Otherwise, use , which only returns the metadata for the attachment's contents.
This operation can be accessed anonymously.
required: For the issue containing the attachment:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueAttachments.expandAttachmentForMachinesReturns the metadata for the contents of an attachment, if it is an archive. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned. Currently, only the ZIP archive format is supported.
Use this operation if you are processing the data without presenting it to the user, as this operation only returns the metadata for the contents of the attachment. Otherwise, to retrieve data to present to the user, use which also returns the metadata for the attachment itself, such as the attachment's ID and name.
This operation can be accessed anonymously.
required: For the issue containing the attachment:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueAttachments.getAttachmentReturns the metadata for an attachment. Note that the attachment itself is not returned.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueAttachments.getAttachmentContentReturns the contents of an attachment. A
Rangeheader can be set to define a range of bytes within the attachment to download. See the for details.To return a thumbnail of the attachment, use .
This operation can be accessed anonymously.
required: For the issue containing the attachment:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueAttachments.getAttachmentMetaReturns the attachment settings, that is, whether attachments are enabled and the maximum attachment size allowed.
Note that there are also that restrict whether users can create and delete attachments.
This operation can be accessed anonymously.
required: None.
-
issueAttachments.getAttachmentThumbnailReturns the thumbnail of an attachment.
To return the attachment contents, use .
This operation can be accessed anonymously.
required: For the issue containing the attachment:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueAttachments.removeAttachmentDeletes an attachment from an issue.
This operation can be accessed anonymously.
required: For the project holding the issue containing the attachment:
- Delete own attachments to delete an attachment created by the calling user.
- Delete all attachments to delete an attachment created by any user.
-
issueCommentProperties.deleteCommentPropertyDeletes a comment property.
required: either of:
- Edit All Comments to delete a property from any comment.
- Edit Own Comments to delete a property from a comment created by the user.
Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
-
issueCommentProperties.getCommentPropertyReturns the value of a comment property.
This operation can be accessed anonymously.
required:
- Browse projects for the project.
- If is configured, issue-level security permission to view the issue.
- If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
-
issueCommentProperties.getCommentPropertyKeysReturns the keys of all the properties of a comment.
This operation can be accessed anonymously.
required:
- Browse projects for the project.
- If is configured, issue-level security permission to view the issue.
- If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
-
issueCommentProperties.setCommentPropertyCreates or updates the value of a property for a comment. Use this resource to store custom data against a comment.
The value of the request body must be a , non-empty JSON blob. The maximum length is 32768 characters.
required: either of:
- Edit All Comments to create or update the value of a property on any comment.
- Edit Own Comments to create or update the value of a property on a comment created by the user.
Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
-
issueComments.addCommentAdds a comment to an issue.
This operation can be accessed anonymously.
required:
- Browse projects and Add comments for the project that the issue containing the comment is in.
- If is configured, issue-level security permission to view the issue.
-
issueComments.deleteCommentDeletes a comment.
required:
- Browse projects for the project that the issue containing the comment is in.
- If is configured, issue-level security permission to view the issue.
- Delete all comments to delete any comment or Delete own comments to delete comment created by the user,
- If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
-
issueComments.getCommentReturns a comment.
This operation can be accessed anonymously.
required:
- Browse projects for the project containing the comment.
- If is configured, issue-level security permission to view the issue.
- If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
-
issueComments.getCommentsReturns all comments for an issue.
This operation can be accessed anonymously.
required: Comments are included in the response where the user has:
- Browse projects for the project containing the comment.
- If is configured, issue-level security permission to view the issue.
- If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
-
issueComments.getCommentsByIdsReturns a list of comments specified by a list of comment IDs.
This operation can be accessed anonymously.
required: Comments are returned where the user:
- has Browse projects for the project containing the comment.
- If is configured, issue-level security permission to view the issue.
- If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
-
issueComments.updateCommentUpdates a comment.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue containing the comment is in.
- If is configured, issue-level security permission to view the issue.
- Edit all comments to update any comment or Edit own comments to update comment created by the user.
- If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
-
issueCustomFieldConfigurationApps.getCustomFieldConfigurationReturns a list of configurations for a custom field created by a .
The result can be filtered by one of these criteria:
id.fieldContextId.issueId.projectKeyOrIdandissueTypeId.
Otherwise, all configurations are returned.
required: Administer Jira . Jira permissions are not required for the Forge app that created the custom field.
-
issueCustomFieldConfigurationApps.updateCustomFieldConfigurationUpdate the configuration for contexts of a custom field created by a .
required: Administer Jira . Jira permissions are not required for the Forge app that created the custom field.
-
issueCustomFieldContexts.addIssueTypesToContextAdds issue types to a custom field context, appending the issue types to the issue types list.
A custom field context without any issue types applies to all issue types. Adding issue types to such a custom field context would result in it applying to only the listed issue types.
If any of the issue types exists in the custom field context, the operation fails and no issue types are added.
required: Administer Jira .
-
issueCustomFieldContexts.assignProjectsToCustomFieldContextAssigns a custom field context to projects.
If any project in the request is assigned to any context of the custom field, the operation fails.
required: Administer Jira .
-
issueCustomFieldContexts.createCustomFieldContextCreates a custom field context.
If
projectIdsis empty, a global context is created. A global context is one that applies to all project. IfissueTypeIdsis empty, the context applies to all issue types.required: Administer Jira .
-
issueCustomFieldContexts.deleteCustomFieldContextDeletes a .
required: Administer Jira .
-
issueCustomFieldContexts.getContextsForFieldReturns a list of for a custom field. Contexts can be returned as follows:
- With no other parameters set, all contexts.
- By defining
idonly, all contexts from the list of IDs. - By defining
isAnyIssueType, limit the list of contexts returned to either those that apply to all issue types (true) or those that apply to only a subset of issue types (false) - By defining
isGlobalContext, limit the list of contexts return to either those that apply to all projects (global contexts) (true) or those that apply to only a subset of projects (false).
required: Administer Jira .
-
issueCustomFieldContexts.getCustomFieldContextsForProjectsAndIssueTypesReturns a list of project and issue type mappings and, for each mapping, the ID of a that applies to the project and issue type.
If there is no custom field context assigned to the project then, if present, the custom field context that applies to all projects is returned if it also applies to the issue type or all issue types. If a custom field context is not found, the returned custom field context ID is
null.Duplicate project and issue type mappings cannot be provided in the request.
The order of the returned values is the same as provided in the request.
required: Administer Jira .
-
issueCustomFieldContexts.getDefaultValuesReturns a list of defaults for a custom field. The results can be filtered by
contextId, otherwise all values are returned. If no defaults are set for a context, nothing is returned.
The returned object depends on type of the custom field:CustomFieldContextDefaultValueDate(typedatepicker) for date fields.CustomFieldContextDefaultValueDateTime(typedatetimepicker) for date-time fields.CustomFieldContextDefaultValueSingleOption(typeoption.single) for single choice select lists and radio buttons.CustomFieldContextDefaultValueMultipleOption(typeoption.multiple) for multiple choice select lists and checkboxes.CustomFieldContextDefaultValueCascadingOption(typeoption.cascading) for cascading select lists.CustomFieldContextSingleUserPickerDefaults(typesingle.user.select) for single users.CustomFieldContextDefaultValueMultiUserPicker(typemulti.user.select) for user lists.CustomFieldContextDefaultValueSingleGroupPicker(typegrouppicker.single) for single choice group pickers.CustomFieldContextDefaultValueMultipleGroupPicker(typegrouppicker.multiple) for multiple choice group pickers.CustomFieldContextDefaultValueURL(typeurl) for URLs.CustomFieldContextDefaultValueProject(typeproject) for project pickers.CustomFieldContextDefaultValueFloat(typefloat) for floats (floating-point numbers).CustomFieldContextDefaultValueLabels(typelabels) for labels.CustomFieldContextDefaultValueTextField(typetextfield) for text fields.CustomFieldContextDefaultValueTextArea(typetextarea) for text area fields.CustomFieldContextDefaultValueReadOnly(typereadonly) for read only (text) fields.CustomFieldContextDefaultValueMultipleVersion(typeversion.multiple) for single choice version pickers.CustomFieldContextDefaultValueSingleVersion(typeversion.single) for multiple choice version pickers.
Forge custom fields are also supported, returning:
CustomFieldContextDefaultValueForgeStringFieldBean(typeforge.string) for Forge string fields.CustomFieldContextDefaultValueForgeMultiStringFieldBean(typeforge.string.list) for Forge string collection fields.CustomFieldContextDefaultValueForgeObjectFieldBean(typeforge.object) for Forge object fields.CustomFieldContextDefaultValueForgeDateTimeFieldBean(typeforge.datetime) for Forge date-time fields.CustomFieldContextDefaultValueForgeGroupFieldBean(typeforge.group) for Forge group fields.CustomFieldContextDefaultValueForgeMultiGroupFieldBean(typeforge.group.list) for Forge group collection fields.CustomFieldContextDefaultValueForgeNumberFieldBean(typeforge.number) for Forge number fields.CustomFieldContextDefaultValueForgeUserFieldBean(typeforge.user) for Forge user fields.CustomFieldContextDefaultValueForgeMultiUserFieldBean(typeforge.user.list) for Forge user collection fields.
required: Administer Jira .
-
issueCustomFieldContexts.getIssueTypeMappingsForContextsReturns a list of context to issue type mappings for a custom field. Mappings are returned for all contexts or a list of contexts. Mappings are ordered first by context ID and then by issue type ID.
required: Administer Jira .
-
issueCustomFieldContexts.getProjectContextMappingReturns a list of context to project mappings for a custom field. The result can be filtered by
contextId. Otherwise, all mappings are returned. Invalid IDs are ignored.required: Administer Jira .
-
issueCustomFieldContexts.removeCustomFieldContextFromProjectsRemoves a custom field context from projects.
A custom field context without any projects applies to all projects. Removing all projects from a custom field context would result in it applying to all projects.
If any project in the request is not assigned to the context, or the operation would result in two global contexts for the field, the operation fails.
required: Administer Jira .
-
issueCustomFieldContexts.removeIssueTypesFromContextRemoves issue types from a custom field context.
A custom field context without any issue types applies to all issue types.
required: Administer Jira .
-
issueCustomFieldContexts.setDefaultValuesSets default for contexts of a custom field. Default are defined using these objects:
CustomFieldContextDefaultValueDate(typedatepicker) for date fields.CustomFieldContextDefaultValueDateTime(typedatetimepicker) for date-time fields.CustomFieldContextDefaultValueSingleOption(typeoption.single) for single choice select lists and radio buttons.CustomFieldContextDefaultValueMultipleOption(typeoption.multiple) for multiple choice select lists and checkboxes.CustomFieldContextDefaultValueCascadingOption(typeoption.cascading) for cascading select lists.CustomFieldContextSingleUserPickerDefaults(typesingle.user.select) for single users.CustomFieldContextDefaultValueMultiUserPicker(typemulti.user.select) for user lists.CustomFieldContextDefaultValueSingleGroupPicker(typegrouppicker.single) for single choice group pickers.CustomFieldContextDefaultValueMultipleGroupPicker(typegrouppicker.multiple) for multiple choice group pickers.CustomFieldContextDefaultValueURL(typeurl) for URLs.CustomFieldContextDefaultValueProject(typeproject) for project pickers.CustomFieldContextDefaultValueFloat(typefloat) for floats (floating-point numbers).CustomFieldContextDefaultValueLabels(typelabels) for labels.CustomFieldContextDefaultValueTextField(typetextfield) for text fields.CustomFieldContextDefaultValueTextArea(typetextarea) for text area fields.CustomFieldContextDefaultValueReadOnly(typereadonly) for read only (text) fields.CustomFieldContextDefaultValueMultipleVersion(typeversion.multiple) for single choice version pickers.CustomFieldContextDefaultValueSingleVersion(typeversion.single) for multiple choice version pickers.
Forge custom fields are also supported, returning:
CustomFieldContextDefaultValueForgeStringFieldBean(typeforge.string) for Forge string fields.CustomFieldContextDefaultValueForgeMultiStringFieldBean(typeforge.string.list) for Forge string collection fields.CustomFieldContextDefaultValueForgeObjectFieldBean(typeforge.object) for Forge object fields.CustomFieldContextDefaultValueForgeDateTimeFieldBean(typeforge.datetime) for Forge date-time fields.CustomFieldContextDefaultValueForgeGroupFieldBean(typeforge.group) for Forge group fields.CustomFieldContextDefaultValueForgeMultiGroupFieldBean(typeforge.group.list) for Forge group collection fields.CustomFieldContextDefaultValueForgeNumberFieldBean(typeforge.number) for Forge number fields.CustomFieldContextDefaultValueForgeUserFieldBean(typeforge.user) for Forge user fields.CustomFieldContextDefaultValueForgeMultiUserFieldBean(typeforge.user.list) for Forge user collection fields.
Only one type of default object can be included in a request. To remove a default for a context, set the default parameter to
null.required: Administer Jira .
-
issueCustomFieldContexts.updateCustomFieldContextUpdates a .
required: Administer Jira .
-
issueCustomFieldOptions.createCustomFieldOptionCreates options and, where the custom select field is of the type Select List (cascading), cascading options for a custom select field. The options are added to a context of the field.
The maximum number of options that can be created per request is 1000 and each field can have a maximum of 10000 options.
This operation works for custom field options created in Jira or the operations from this resource. To work with issue field select list options created for Connect apps use the operations.
required: Administer Jira .
-
issueCustomFieldOptions.deleteCustomFieldOptionDeletes a custom field option.
Options with cascading options cannot be deleted without deleting the cascading options first.
This operation works for custom field options created in Jira or the operations from this resource. To work with issue field select list options created for Connect apps use the operations.
required: Administer Jira .
-
issueCustomFieldOptions.getCustomFieldOptionReturns a custom field option. For example, an option in a select list.
Note that this operation only works for issue field select list options created in Jira or using operations from the resource, it cannot be used with issue field select list options created by Connect apps.
This operation can be accessed anonymously.
required: The custom field option is returned as follows:
- if the user has the Administer Jira .
- if the user has the Browse projects for at least one project the custom field is used in, and the field is visible in at least one layout the user has permission to view.
-
issueCustomFieldOptions.getOptionsForContextReturns a list of all custom field option for a context. Options are returned first then cascading options, in the order they display in Jira.
This operation works for custom field options created in Jira or the operations from this resource. To work with issue field select list options created for Connect apps use the operations.
required: Administer Jira .
-
issueCustomFieldOptions.reorderCustomFieldOptionsChanges the order of custom field options or cascading options in a context.
This operation works for custom field options created in Jira or the operations from this resource. To work with issue field select list options created for Connect apps use the operations.
required: Administer Jira .
-
issueCustomFieldOptions.updateCustomFieldOptionUpdates the options of a custom field.
If any of the options are not found, no options are updated. Options where the values in the request match the current values aren't updated and aren't reported in the response.
Note that this operation only works for issue field select list options created in Jira or using operations from the resource, it cannot be used with issue field select list options created by Connect apps.
required: Administer Jira .
-
issueCustomFieldOptionsApps.createIssueFieldOptionCreates an option for a select list issue field.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Administer Jira . Jira permissions are not required for the app providing the field.
-
issueCustomFieldOptionsApps.deleteIssueFieldOptionDeletes an option from a select list issue field.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Administer Jira . Jira permissions are not required for the app providing the field.
-
issueCustomFieldOptionsApps.getAllIssueFieldOptionsReturns a list of all the options of a select list issue field. A select list issue field is a type of that enables a user to select a value from a list of options.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Administer Jira . Jira permissions are not required for the app providing the field.
-
issueCustomFieldOptionsApps.getIssueFieldOptionReturns an option from a select list issue field.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Administer Jira . Jira permissions are not required for the app providing the field.
-
issueCustomFieldOptionsApps.getSelectableIssueFieldOptionsReturns a list of options for a select list issue field that can be viewed and selected by the user.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Permission to access Jira.
-
issueCustomFieldOptionsApps.getVisibleIssueFieldOptionsReturns a list of options for a select list issue field that can be viewed by the user.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Permission to access Jira.
-
issueCustomFieldOptionsApps.replaceIssueFieldOptionDeselects an issue-field select-list option from all issues where it is selected. A different option can be selected to replace the deselected option. The update can also be limited to a smaller set of issues by using a JQL query.
Connect and Forge app users with Administer Jira can override the screen security configuration using
overrideScreenSecurityandoverrideEditableFlag.This is an . The response object contains a link to the long-running task.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Administer Jira . Jira permissions are not required for the app providing the field.
-
issueCustomFieldOptionsApps.updateIssueFieldOptionUpdates or creates an option for a select list issue field. This operation requires that the option ID is provided when creating an option, therefore, the option ID needs to be specified as a path and body parameter. The option ID provided in the path and body must be identical.
Note that this operation only works for issue field select list options added by Connect apps, it cannot be used with issue field select list options created in Jira or using operations from the resource.
required: Administer Jira . Jira permissions are not required for the app providing the field.
-
issueCustomFieldValuesApps.updateCustomFieldValueUpdates the value of a custom field on one or more issues. Custom fields can only be updated by the Forge app that created them.
required: Only the app that created the custom field can update its values with this operation.
-
issueCustomFieldValuesApps.updateMultipleCustomFieldValuesUpdates the value of one or more custom fields on one or more issues. Combinations of custom field and issue should be unique within the request. Custom fields can only be updated by the Forge app that created them.
required: Only the app that created the custom field can update its values with this operation.
-
issueFieldConfigurations.assignFieldConfigurationSchemeToProjectAssigns a field configuration scheme to a project. If the field configuration scheme ID is
null, the operation assigns the default field configuration scheme.Field configuration schemes can only be assigned to classic projects.
required: Administer Jira .
-
issueFieldConfigurations.createFieldConfigurationCreates a field configuration. The field configuration is created with the same field properties as the default configuration, with all the fields being optional.
This operation can only create configurations for use in company-managed (classic) projects.
required: Administer Jira .
-
issueFieldConfigurations.createFieldConfigurationSchemeCreates a field configuration scheme.
This operation can only create field configuration schemes used in company-managed (classic) projects.
required: Administer Jira .
-
issueFieldConfigurations.deleteFieldConfigurationDeletes a field configuration.
This operation can only delete configurations used in company-managed (classic) projects.
required: Administer Jira .
-
issueFieldConfigurations.deleteFieldConfigurationSchemeDeletes a field configuration scheme.
This operation can only delete field configuration schemes used in company-managed (classic) projects.
required: Administer Jira .
-
issueFieldConfigurations.getAllFieldConfigurationsReturns a list of field configurations. The list can be for all field configurations or a subset determined by any combination of these criteria:
- a list of field configuration item IDs.
- whether the field configuration is a default.
- whether the field configuration name or description contains a query string.
Only field configurations used in company-managed (classic) projects are returned.
required: Administer Jira .
-
issueFieldConfigurations.getAllFieldConfigurationSchemesReturns a list of field configuration schemes.
Only field configuration schemes used in classic projects are returned.
required: Administer Jira .
-
issueFieldConfigurations.getFieldConfigurationItemsReturns a list of all fields for a configuration.
Only the fields from configurations used in company-managed (classic) projects are returned.
required: Administer Jira .
-
issueFieldConfigurations.getFieldConfigurationSchemeMappingsReturns a list of field configuration issue type items.
Only items used in classic projects are returned.
required: Administer Jira .
-
issueFieldConfigurations.getFieldConfigurationSchemeProjectMappingReturns a list of field configuration schemes and, for each scheme, a list of the projects that use it.
The list is sorted by field configuration scheme ID. The first item contains the list of project IDs assigned to the default field configuration scheme.
Only field configuration schemes used in classic projects are returned.
required: Administer Jira .
-
issueFieldConfigurations.removeIssueTypesFromGlobalFieldConfigurationSchemeRemoves issue types from the field configuration scheme.
This operation can only modify field configuration schemes used in company-managed (classic) projects.
required: Administer Jira .
-
issueFieldConfigurations.setFieldConfigurationSchemeMappingAssigns issue types to field configurations on field configuration scheme.
This operation can only modify field configuration schemes used in company-managed (classic) projects.
required: Administer Jira .
-
issueFieldConfigurations.updateFieldConfigurationUpdates a field configuration. The name and the description provided in the request override the existing values.
This operation can only update configurations used in company-managed (classic) projects.
required: Administer Jira .
-
issueFieldConfigurations.updateFieldConfigurationItemsUpdates fields in a field configuration. The properties of the field configuration fields provided override the existing values.
This operation can only update field configurations used in company-managed (classic) projects.
The operation can set the renderer for text fields to the default text renderer (
text-renderer) or wiki style renderer (wiki-renderer). However, the renderer cannot be updated for fields using the autocomplete renderer (autocomplete-renderer).required: Administer Jira .
-
issueFieldConfigurations.updateFieldConfigurationSchemeUpdates a field configuration scheme.
This operation can only update field configuration schemes used in company-managed (classic) projects.
required: Administer Jira .
-
issueFields.createCustomFieldCreates a custom field.
required: Administer Jira .
-
issueFields.deleteCustomFieldDeletes a custom field. The custom field is deleted whether it is in the trash or not. See for more information on trashing and deleting custom fields.
This operation is . Follow the
locationlink in the response to determine the status of the task and use to obtain subsequent updates.required: Administer Jira .
-
issueFields.getContextsForFieldDeprecatedReturns a list of the contexts a field is used in. Deprecated, use .
required: Administer Jira .
-
issueFields.getFieldsReturns system and custom issue fields according to the following rules:
- Fields that cannot be added to the issue navigator are always returned.
- Fields that cannot be placed on an issue screen are always returned.
- Fields that depend on global Jira settings are only returned if the setting is enabled. That is, timetracking fields, subtasks, votes, and watches.
- For all other fields, this operation only returns the fields that the user has permission to view (that is, the field is used in at least one project that the user has Browse Projects for.)
This operation can be accessed anonymously.
required: None.
-
issueFields.getFieldsPaginatedReturns a list of fields for Classic Jira projects. The list can include:
- all fields
- specific fields, by defining
id - fields that contain a string in the field name or description, by defining
query - specific fields that contain a string in the field name or description, by defining
idandquery
Only custom fields can be queried,
typemust be set tocustom.required: Administer Jira .
-
issueFields.getTrashedFieldsPaginatedReturns a list of fields in the trash. The list may be restricted to fields whose field name or description partially match a string.
Only custom fields can be queried,
typemust be set tocustom.required: Administer Jira .
-
issueFields.restoreCustomFieldRestores a custom field from trash. See for more information on trashing and deleting custom fields.
required: Administer Jira .
-
issueFields.trashCustomFieldMoves a custom field to trash. See for more information on trashing and deleting custom fields.
required: Administer Jira .
-
issueFields.updateCustomFieldUpdates a custom field.
required: Administer Jira .
-
issueLinks.deleteIssueLinkDeletes an issue link.
This operation can be accessed anonymously.
required:
- Browse project for all the projects containing the issues in the link.
- Link issues for at least one of the projects containing issues in the link.
- If is configured, permission to view both of the issues.
-
issueLinks.getIssueLinkReturns an issue link.
This operation can be accessed anonymously.
required:
- Browse project for all the projects containing the linked issues.
- If is configured, permission to view both of the issues.
-
issueLinks.linkIssuesCreates a link between two issues. Use this operation to indicate a relationship between two issues and optionally add a comment to the from (outward) issue. To use this resource the site must have enabled.
This resource returns nothing on the creation of an issue link. To obtain the ID of the issue link, use
https://your-domain.atlassian.net/rest/api/3/issue/[linked issue key]?fields=issuelinks.If the link request duplicates a link, the response indicates that the issue link was created. If the request included a comment, the comment is added.
This operation can be accessed anonymously.
required:
- Browse project for all the projects containing the issues to be linked,
- Link issues on the project containing the from (outward) issue,
- If is configured, issue-level security permission to view the issue.
- If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
-
issueLinkTypes.createIssueLinkTypeCreates an issue link type. Use this operation to create descriptions of the reasons why issues are linked. The issue link type consists of a name and descriptions for a link's inward and outward relationships.
To use this operation, the site must have enabled.
required: Administer Jira .
-
issueLinkTypes.deleteIssueLinkTypeDeletes an issue link type.
To use this operation, the site must have enabled.
required: Administer Jira .
-
issueLinkTypes.getIssueLinkTypeReturns an issue link type.
To use this operation, the site must have enabled.
This operation can be accessed anonymously.
required: Browse projects for a project in the site.
-
issueLinkTypes.getIssueLinkTypesReturns a list of all issue link types.
To use this operation, the site must have enabled.
This operation can be accessed anonymously.
required: Browse projects for a project in the site.
-
issueLinkTypes.updateIssueLinkTypeUpdates an issue link type.
To use this operation, the site must have enabled.
required: Administer Jira .
-
issueNavigatorSettings.getIssueNavigatorDefaultColumnsReturns the default issue navigator columns.
required: Administer Jira .
-
issueNavigatorSettings.setIssueNavigatorDefaultColumnsSets the default issue navigator columns.
The
columnsparameter accepts a navigable field value and is expressed as HTML form data. To specify multiple columns, pass multiplecolumnsparameters. For example, in curl:curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/settings/columnsIf no column details are sent, then all default columns are removed.
A navigable field is one that can be used as a column on the issue navigator. Find details of navigable issue columns using .
required: Administer Jira .
-
issueNotificationSchemes.addNotificationsAdds notifications to a notification scheme. You can add up to 1000 notifications per request.
required: Administer Jira .
-
issueNotificationSchemes.createNotificationSchemeCreates a notification scheme with notifications. You can create up to 1000 notifications per request.
required: Administer Jira .
-
issueNotificationSchemes.deleteNotificationSchemeDeletes a notification scheme.
required: Administer Jira .
-
issueNotificationSchemes.getNotificationSchemeReturns a , including the list of events and the recipients who will receive notifications for those events.
required: Permission to access Jira, however, the user must have permission to administer at least one project associated with the notification scheme.
-
issueNotificationSchemes.getNotificationSchemesReturns a list of ordered by the display name.
Note that you should allow for events without recipients to appear in responses.
required: Permission to access Jira, however, the user must have permission to administer at least one project associated with a notification scheme for it to be returned.
-
issueNotificationSchemes.getNotificationSchemeToProjectMappingsReturns a mapping of project that have notification scheme assigned. You can provide either one or multiple notification scheme IDs or project IDs to filter by. If you don't provide any, this will return a list of all mappings. Note that only company-managed (classic) projects are supported. This is because team-managed projects don't have a concept of a default notification scheme. The mappings are ordered by projectId.
required: Permission to access Jira.
-
issueNotificationSchemes.removeNotificationFromNotificationSchemeRemoves a notification from a notification scheme.
required: Administer Jira .
-
issueNotificationSchemes.updateNotificationSchemeUpdates a notification scheme.
required: Administer Jira .
-
issuePriorities.createPriorityCreates an issue priority.
required: Administer Jira .
-
issuePriorities.deletePriorityDeletes an issue priority.
This operation is . Follow the
locationlink in the response to determine the status of the task and use to obtain subsequent updates.required: Administer Jira .
-
issuePriorities.getPrioritiesReturns the list of all issue priorities.
required: Permission to access Jira.
-
issuePriorities.getPriorityReturns an issue priority.
required: Permission to access Jira.
-
issuePriorities.movePrioritiesChanges the order of issue priorities.
required: Administer Jira .
-
issuePriorities.searchPrioritiesReturns a list of priorities. The list can contain all priorities or a subset determined by any combination of these criteria:
- a list of priority IDs. Any invalid priority IDs are ignored.
- whether the field configuration is a default. This returns priorities from company-managed (classic) projects only, as there is no concept of default priorities in team-managed projects.
required: Permission to access Jira.
-
issuePriorities.setDefaultPrioritySets default issue priority.
required: Administer Jira .
-
issuePriorities.updatePriorityUpdates an issue priority.
required: Administer Jira .
-
issueProperties.bulkDeleteIssuePropertyDeletes a property value from multiple issues. The issues to be updated can be specified by filter criteria.
The criteria the filter used to identify eligible issues are:
entityIdsOnly issues from this list are eligible.currentValueOnly issues with the property set to this value are eligible.
If both criteria is specified, they are joined with the logical AND: only issues that satisfy both criteria are considered eligible.
If no filter criteria are specified, all the issues visible to the user and where the user has the EDIT_ISSUES permission for the issue are considered eligible.
This operation is:
- transactional, either the property is deleted from all eligible issues or, when errors occur, no properties are deleted.
- . Follow the
locationlink in the response to determine the status of the task and use to obtain subsequent updates.
required:
- Browse projects for each project containing issues.
- If is configured, issue-level security permission to view the issue.
- Edit issues for each issue.
-
issueProperties.bulkSetIssuePropertiesByIssueSets or updates entity property values on issues. Up to 10 entity properties can be specified for each issue and up to 100 issues included in the request.
The value of the request body must be a , non-empty JSON.
This operation is:
- . Follow the
locationlink in the response to determine the status of the task and use to obtain subsequent updates. - non-transactional. Updating some entities may fail. Such information will available in the task result.
required:
- Browse projects and Edit issues for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
- . Follow the
-
issueProperties.bulkSetIssuePropertySets a property value on multiple issues.
The value set can be a constant or determined by a . Expressions must be computable with constant complexity when applied to a set of issues. Expressions must also comply with the that apply to all Jira expressions.
The issues to be updated can be specified by a filter.
The filter identifies issues eligible for update using these criteria:
-
entityIdsOnly issues from this list are eligible. -
currentValueOnly issues with the property set to this value are eligible. -
hasProperty:- If true, only issues with the property are eligible.
- If false, only issues without the property are eligible.
If more than one criteria is specified, they are joined with the logical AND: only issues that satisfy all criteria are eligible.
If an invalid combination of criteria is provided, an error is returned. For example, specifying a
currentValueandhasPropertyas false would not match any issues (because without the property the property cannot have a value).The filter is optional. Without the filter all the issues visible to the user and where the user has the EDIT_ISSUES permission for the issue are considered eligible.
This operation is:
- transactional, either all eligible issues are updated or, when errors occur, none are updated.
- . Follow the
locationlink in the response to determine the status of the task and use to obtain subsequent updates.
required:
- Browse projects for each project containing issues.
- If is configured, issue-level security permission to view the issue.
- Edit issues for each issue.
-
-
issueProperties.bulkSetIssuesPropertiesListSets or updates a list of entity property values on issues. A list of up to 10 entity properties can be specified along with up to 10,000 issues on which to set or update that list of entity properties.
The value of the request body must be a , non-empty JSON. The maximum length of single issue property value is 32768 characters. This operation can be accessed anonymously.
This operation is:
- transactional, either all properties are updated in all eligible issues or, when errors occur, no properties are updated.
- . Follow the
locationlink in the response to determine the status of the task and use to obtain subsequent updates.
required:
- Browse projects and Edit issues for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issueProperties.deleteIssuePropertyDeletes an issue's property.
This operation can be accessed anonymously.
required:
- Browse projects and Edit issues for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issueProperties.getIssuePropertyReturns the key and value of an issue's property.
This operation can be accessed anonymously.
required:
- Browse projects for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issueProperties.getIssuePropertyKeysReturns the URLs and keys of an issue's properties.
This operation can be accessed anonymously.
required: Property details are only returned where the user has:
- Browse projects for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issueProperties.setIssuePropertySets the value of an issue's property. Use this resource to store custom data against an issue.
The value of the request body must be a , non-empty JSON blob. The maximum length is 32768 characters.
This operation can be accessed anonymously.
required:
- Browse projects and Edit issues for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issueRemoteLinks.createOrUpdateRemoteIssueLinkCreates or updates a remote issue link for an issue.
If a
globalIdis provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created.This operation requires .
This operation can be accessed anonymously.
required:
- Browse projects and Link issues for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueRemoteLinks.deleteRemoteIssueLinkByGlobalIdDeletes the remote issue link from the issue using the link's global ID. Where the global ID includes reserved URL characters these must be escaped in the request. For example, pass
system=http://www.mycompany.com/support&id=1assystem%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1.This operation requires .
This operation can be accessed anonymously.
required:
- Browse projects and Link issues for the project that the issue is in.
- If is implemented, issue-level security permission to view the issue.
-
issueRemoteLinks.deleteRemoteIssueLinkByIdDeletes a remote issue link from an issue.
This operation requires .
This operation can be accessed anonymously.
required:
- Browse projects, Edit issues, and Link issues for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueRemoteLinks.getRemoteIssueLinkByIdReturns a remote issue link for an issue.
This operation requires .
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueRemoteLinks.getRemoteIssueLinksReturns the remote issue links for an issue. When a remote issue link global ID is provided the record with that global ID is returned, otherwise all remote issue links are returned. Where a global ID includes reserved URL characters these must be escaped in the request. For example, pass
system=http://www.mycompany.com/support&id=1assystem%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1.This operation requires .
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueRemoteLinks.updateRemoteIssueLinkUpdates a remote issue link for an issue.
Note: Fields without values in the request are set to null.
This operation requires .
This operation can be accessed anonymously.
required:
- Browse projects and Link issues for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueResolutions.createResolutionCreates an issue resolution.
required: Administer Jira .
-
issueResolutions.deleteResolutionDeletes an issue resolution.
This operation is . Follow the
locationlink in the response to determine the status of the task and use to obtain subsequent updates.required: Administer Jira .
-
issueResolutions.getResolutionReturns an issue resolution value.
required: Permission to access Jira.
-
issueResolutions.getResolutionsReturns a list of all issue resolution values.
required: Permission to access Jira.
-
issueResolutions.moveResolutionsChanges the order of issue resolutions.
required: Administer Jira .
-
issueResolutions.searchResolutionsReturns a list of resolutions. The list can contain all resolutions or a subset determined by any combination of these criteria:
- a list of resolutions IDs.
- whether the field configuration is a default. This returns resolutions from company-managed (classic) projects only, as there is no concept of default resolutions in team-managed projects.
required: Permission to access Jira.
-
issueResolutions.setDefaultResolutionSets default issue resolution.
required: Administer Jira .
-
issueResolutions.updateResolutionUpdates an issue resolution.
required: Administer Jira .
-
issues.assignIssueAssigns an issue to a user. Use this operation when the calling user does not have the Edit Issues permission but has the Assign issue permission for the project that the issue is in.
If
nameoraccountIdis set to:"-1", the issue is assigned to the default assignee for the project.null, the issue is set to unassigned.
This operation can be accessed anonymously.
required:
- Browse Projects and Assign Issues for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issues.createIssueCreates an issue or, where the option to create subtasks is enabled in Jira, a subtask. A transition may be applied, to move the issue or subtask to a workflow step other than the default start step, and issue properties set.
The content of the issue or subtask is defined using
updateandfields. The fields that can be set in the issue or subtask are determined using the . These are the same fields that appear on the issue's create screen. Note that thedescription,environment, and anytextareatype custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (textfield) accept a string and don't handle Atlassian Document Format content.Creating a subtask differs from creating an issue as follows:
issueTypemust be set to a subtask issue type (use to find subtask issue types).parentmust contain the ID or key of the parent issue.
In a next-gen project any issue may be made a child providing that the parent and child are members of the same project.
required: Browse projects and Create issues for the project in which the issue or subtask is created.
-
issues.createIssuesCreates upto 50 issues and, where the option to create subtasks is enabled in Jira, subtasks. Transitions may be applied, to move the issues or subtasks to a workflow step other than the default start step, and issue properties set.
The content of each issue or subtask is defined using
updateandfields. The fields that can be set in the issue or subtask are determined using the . These are the same fields that appear on the issues' create screens. Note that thedescription,environment, and anytextareatype custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (textfield) accept a string and don't handle Atlassian Document Format content.Creating a subtask differs from creating an issue as follows:
issueTypemust be set to a subtask issue type (use to find subtask issue types).parentthe must contain the ID or key of the parent issue.
required: Browse projects and Create issues for the project in which each issue or subtask is created.
-
issues.deleteIssueDeletes an issue.
An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set
deleteSubtasks. This causes the issue's subtasks to be deleted with the issue.This operation can be accessed anonymously.
required:
- Browse projects and Delete issues for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issues.doTransitionPerforms an issue transition and, if the transition has a screen, updates the fields from the transition screen.
sortByCategory To update the fields on the transition screen, specify the fields in the
fieldsorupdateparameters in the request body. Get details about the fields using with thetransitions.fieldsexpand.This operation can be accessed anonymously.
required:
- Browse projects and Transition issues for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issues.editIssueEdits an issue. A transition may be applied and issue properties updated as part of the edit.
The edits to the issue's fields are defined using
updateandfields. The fields that can be edited are determined using .The parent field may be set by key or ID. For standard issue types, the parent may be removed by setting
update.parent.set.noneto true. Note that thedescription,environment, and anytextareatype custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (textfield) accept a string and don't handle Atlassian Document Format content.Connect apps having an app user with Administer Jira , and Forge apps acting on behalf of users with Administer Jira , can override the screen security configuration using
overrideScreenSecurityandoverrideEditableFlag.This operation can be accessed anonymously.
required:
- Browse projects and Edit issues for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issues.getChangeLogsReturns a list of all changelogs for an issue sorted by date, starting from the oldest.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issues.getChangeLogsByIdsReturns changelogs for an issue specified by a list of changelog IDs.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issues.getCreateIssueMetaReturns details of projects, issue types within projects, and, when requested, the create screen fields for each issue type for the user. Use the information to populate the requests in and .
The request can be restricted to specific projects or issue types using the query parameters. The response will contain information for the valid projects, issue types, or project and issue type combinations requested. Note that invalid project, issue type, or project and issue type combinations do not generate errors.
This operation can be accessed anonymously.
required: Create issues in the requested projects.
-
issues.getEditIssueMetaReturns the edit screen fields for an issue that are visible to and editable by the user. Use the information to populate the requests in .
This endpoint will check for these conditions:
- Field is available on a field screen - through screen, screen scheme, issue type screen scheme, and issue type scheme configuration.
overrideScreenSecurity=trueskips this condition. - Field is visible in the .
overrideScreenSecurity=trueskips this condition. - Field is shown on the issue: each field has different conditions here. For example: Attachment field only shows if attachments are enabled. Assignee only shows if user has permissions to assign the issue.
- If a field is custom then it must have valid custom field context, applicable for its project and issue type. All system fields are assumed to have context in all projects and all issue types.
- Issue has a project, issue type, and status defined.
- Issue is assigned to a valid workflow, and the current status has assigned a workflow step.
overrideEditableFlag=trueskips this condition. - The current workflow step is editable. This is true by default, but the
jira.issue.editableproperty tofalse.overrideEditableFlag=trueskips this condition. - User has .
- Workflow permissions allow editing a field. This is true by default but using
jira.permission.*workflow properties.
Fields hidden using remain editable.
Connect apps having an app user with Administer Jira , and Forge apps acting on behalf of users with Administer Jira , can return additional details using:
overrideScreenSecurityWhen this flag istrue, then this endpoint skips checking if fields are available through screens, and field configuration (conditions 1. and 2. from the list above).overrideEditableFlagWhen this flag istrue, then this endpoint skips checking if workflow is present and if the current step is editable (conditions 6. and 7. from the list above).
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
Note: For any fields to be editable the user must have the Edit issues for the issue.
- Field is available on a field screen - through screen, screen scheme, issue type screen scheme, and issue type scheme configuration.
-
issues.getEventsReturns all issue events.
required: Administer Jira .
-
issues.getIssueReturns the details for an issue.
The issue is identified by its ID or key, however, if the identifier doesn't match an issue, a case-insensitive search and check for moved issues is performed. If a matching issue is found its details are returned, a 302 or other redirect is not returned. The issue key returned in the response is the key of the issue found.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issues.getTransitionsReturns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status.
Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list.
This operation can be accessed anonymously.
required: A list or transition is returned only when the user has:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
However, if the user does not have the Transition issues the response will not list any transitions.
-
issues.notifyCreates an email notification for an issue and adds it to the mail queue.
required:
- Browse Projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueSearch.getIssuePickerResourceReturns lists of issues matching a query string. Use this resource to provide auto-completion suggestions when the user is looking for an issue using a word or string.
This operation returns two lists:
History Searchwhich includes issues from the user's history of created, edited, or viewed issues that contain the string in thequeryparameter.Current Searchwhich includes issues that match the JQL expression incurrentJQLand contain the string in thequeryparameter.
This operation can be accessed anonymously.
required: None.
-
issueSearch.matchIssuesChecks whether one or more issues would be returned by one or more JQL queries.
required: None, however, issues are only matched against JQL queries where the user has:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueSearch.searchForIssuesUsingJqlSearches for issues using .
If the JQL query expression is too large to be encoded as a query parameter, use the version of this resource.
This operation can be accessed anonymously.
required: Issues are included in the response where the user has:
- Browse projects for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issueSearch.searchForIssuesUsingJqlPostSearches for issues using .
There is a version of this resource that can be used for smaller JQL query expressions.
This operation can be accessed anonymously.
required: Issues are included in the response where the user has:
- Browse projects for the project containing the issue.
- If is configured, issue-level security permission to view the issue.
-
issueSecurityLevel.getIssueSecurityLevelReturns details of an issue security level.
Use to obtain the IDs of issue security levels associated with the issue security scheme.
This operation can be accessed anonymously.
required: None.
-
issueSecurityLevel.getIssueSecurityLevelMembersReturns issue security level members.
Only issue security level members in context of classic projects are returned.
required: Administer Jira .
-
issueSecuritySchemes.getIssueSecuritySchemeReturns an issue security scheme along with its security levels.
required:
- Administer Jira .
- Administer Projects for a project that uses the requested issue security scheme.
-
issueSecuritySchemes.getIssueSecuritySchemesReturns all .
required: Administer Jira .
-
issueTypeProperties.deleteIssueTypePropertyDeletes the .
required: Administer Jira .
-
issueTypeProperties.getIssueTypePropertyReturns the key and value of the .
This operation can be accessed anonymously.
required:
- Administer Jira to get the details of any issue type.
- Browse projects to get the details of any issue types associated with the projects the user has permission to browse.
-
issueTypeProperties.getIssueTypePropertyKeysReturns all the keys of the issue type.
This operation can be accessed anonymously.
required:
- Administer Jira to get the property keys of any issue type.
- Browse projects to get the property keys of any issue types associated with the projects the user has permission to browse.
-
issueTypeProperties.setIssueTypePropertyCreates or updates the value of the . Use this resource to store and update data against an issue type.
The value of the request body must be a , non-empty JSON blob. The maximum length is 32768 characters.
required: Administer Jira .
-
issueTypes.createIssueTypeCreates an issue type and adds it to the default issue type scheme.
required: Administer Jira .
-
issueTypes.createIssueTypeAvatarLoads an avatar for the issue type.
Specify the avatar's local file location in the body of the request. Also, include the following headers:
X-Atlassian-Token: no-checkTo prevent XSRF protection blocking the request, for more information see .Content-Type: image/image typeValid image types are JPEG, GIF, or PNG.
For example:
curl --request POST \ --user email@example.com:<api_token> \ --header 'X-Atlassian-Token: no-check' \ --header 'Content-Type: image/< image_type>' \ --data-binary "<@/path/to/file/with/your/avatar>" \ --url 'https://your-domain.atlassian.net/rest/api/3/issuetype/{issueTypeId}'ThisThe avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
After creating the avatar, use to set it as the issue type's displayed avatar.
required: Administer Jira .
-
issueTypes.deleteIssueTypeDeletes the issue type. If the issue type is in use, all uses are updated with the alternative issue type (
alternativeIssueTypeId). A list of alternative issue types are obtained from the resource.required: Administer Jira .
-
issueTypes.getAlternativeIssueTypesReturns a list of issue types that can be used to replace the issue type. The alternative issue types are those assigned to the same workflow scheme, field configuration scheme, and screen scheme.
This operation can be accessed anonymously.
required: None.
-
issueTypes.getIssueAllTypesReturns all issue types.
This operation can be accessed anonymously.
required: Issue types are only returned as follows:
- if the user has the Administer Jira , all issue types are returned.
- if the user has the Browse projects for one or more projects, the issue types associated with the projects the user has permission to browse are returned.
-
issueTypes.getIssueTypeReturns an issue type.
This operation can be accessed anonymously.
required: Browse projects in a project the issue type is associated with or Administer Jira .
-
issueTypes.getIssueTypesForProjectReturns issue types for a project.
This operation can be accessed anonymously.
required: Browse projects in the relevant project or Administer Jira .
-
issueTypes.updateIssueTypeUpdates the issue type.
required: Administer Jira .
-
issueTypeSchemes.addIssueTypesToIssueTypeSchemeAdds issue types to an issue type scheme.
The added issue types are appended to the issue types list.
If any of the issue types exist in the issue type scheme, the operation fails and no issue types are added.
required: Administer Jira .
-
issueTypeSchemes.assignIssueTypeSchemeToProjectAssigns an issue type scheme to a project.
If any issues in the project are assigned issue types not present in the new scheme, the operation will fail. To complete the assignment those issues must be updated to use issue types in the new scheme.
Issue type schemes can only be assigned to classic projects.
required: Administer Jira .
-
issueTypeSchemes.createIssueTypeSchemeCreates an issue type scheme.
required: Administer Jira .
-
issueTypeSchemes.deleteIssueTypeSchemeDeletes an issue type scheme.
Only issue type schemes used in classic projects can be deleted.
Any projects assigned to the scheme are reassigned to the default issue type scheme.
required: Administer Jira .
-
issueTypeSchemes.getAllIssueTypeSchemesReturns a list of issue type schemes.
Only issue type schemes used in classic projects are returned.
required: Administer Jira .
-
issueTypeSchemes.getIssueTypeSchemeForProjectsReturns a list of issue type schemes and, for each issue type scheme, a list of the projects that use it.
Only issue type schemes used in classic projects are returned.
required: Administer Jira .
-
issueTypeSchemes.getIssueTypeSchemesMappingReturns a list of issue type scheme items.
Only issue type scheme items used in classic projects are returned.
required: Administer Jira .
-
issueTypeSchemes.removeIssueTypeFromIssueTypeSchemeRemoves an issue type from an issue type scheme.
This operation cannot remove:
- any issue type used by issues.
- any issue types from the default issue type scheme.
- the last standard issue type from an issue type scheme.
required: Administer Jira .
-
issueTypeSchemes.reorderIssueTypesInIssueTypeSchemeChanges the order of issue types in an issue type scheme.
The request body parameters must meet the following requirements:
- all of the issue types must belong to the issue type scheme.
- either
afterorpositionmust be provided. - the issue type in
aftermust not be in the issue type list.
required: Administer Jira .
-
issueTypeSchemes.updateIssueTypeSchemeUpdates an issue type scheme.
required: Administer Jira .
-
issueTypeScreenSchemes.appendMappingsForIssueTypeScreenSchemeAppends issue type to screen scheme mappings to an issue type screen scheme.
required: Administer Jira .
-
issueTypeScreenSchemes.assignIssueTypeScreenSchemeToProjectAssigns an issue type screen scheme to a project.
Issue type screen schemes can only be assigned to classic projects.
required: Administer Jira .
-
issueTypeScreenSchemes.createIssueTypeScreenSchemeCreates an issue type screen scheme.
required: Administer Jira .
-
issueTypeScreenSchemes.deleteIssueTypeScreenSchemeDeletes an issue type screen scheme.
required: Administer Jira .
-
issueTypeScreenSchemes.getIssueTypeScreenSchemeMappingsReturns a list of issue type screen scheme items.
Only issue type screen schemes used in classic projects are returned.
required: Administer Jira .
-
issueTypeScreenSchemes.getIssueTypeScreenSchemeProjectAssociationsReturns a list of issue type screen schemes and, for each issue type screen scheme, a list of the projects that use it.
Only issue type screen schemes used in classic projects are returned.
required: Administer Jira .
-
issueTypeScreenSchemes.getIssueTypeScreenSchemesReturns a list of issue type screen schemes.
Only issue type screen schemes used in classic projects are returned.
required: Administer Jira .
-
issueTypeScreenSchemes.getProjectsForIssueTypeScreenSchemeReturns a list of projects associated with an issue type screen scheme.
Only company-managed projects associated with an issue type screen scheme are returned.
required: Administer Jira .
-
issueTypeScreenSchemes.removeMappingsFromIssueTypeScreenSchemeRemoves issue type to screen scheme mappings from an issue type screen scheme.
required: Administer Jira .
-
issueTypeScreenSchemes.updateDefaultScreenSchemeUpdates the default screen scheme of an issue type screen scheme. The default screen scheme is used for all unmapped issue types.
required: Administer Jira .
-
issueTypeScreenSchemes.updateIssueTypeScreenSchemeUpdates an issue type screen scheme.
required: Administer Jira .
-
issueVotes.addVoteAdds the user's vote to an issue. This is the equivalent of the user clicking Vote on an issue in Jira.
This operation requires the Allow users to vote on issues option to be ON. This option is set in General configuration for Jira. See for details.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueVotes.getVotesReturns details about the votes on an issue.
This operation requires the Allow users to vote on issues option to be ON. This option is set in General configuration for Jira. See for details.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is ini
- If is configured, issue-level security permission to view the issue.
Note that users with the necessary permissions for this operation but without the View voters and watchers project permissions are not returned details in the
votersfield. -
issueVotes.removeVoteDeletes a user's vote from an issue. This is the equivalent of the user clicking Unvote on an issue in Jira.
This operation requires the Allow users to vote on issues option to be ON. This option is set in General configuration for Jira. See for details.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
-
issueWatchers.addWatcherAdds a user as a watcher of an issue by passing the account ID of the user. For example,
"5b10ac8d82e05b22cc7d4ef5". If no user is specified the calling user is added.This operation requires the Allow users to watch issues option to be ON. This option is set in General configuration for Jira. See for details.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
- To add users other than themselves to the watchlist, Manage watcher list for the project that the issue is in.
-
issueWatchers.getIssueWatchersReturns the watchers for an issue.
This operation requires the Allow users to watch issues option to be ON. This option is set in General configuration for Jira. See for details.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is ini
- If is configured, issue-level security permission to view the issue.
- To see details of users on the watchlist other than themselves, View voters and watchers for the project that the issue is in.
-
issueWatchers.getIsWatchingIssueBulkReturns, for the user, details of the watched status of issues from a list. If an issue ID is invalid, the returned watched status is
false.This operation requires the Allow users to watch issues option to be ON. This option is set in General configuration for Jira. See for details.
required:
- Browse projects for the project that the issue is in
- If is configured, issue-level security permission to view the issue.
-
issueWatchers.removeWatcherDeletes a user as a watcher of an issue.
This operation requires the Allow users to watch issues option to be ON. This option is set in General configuration for Jira. See for details.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
- To remove users other than themselves from the watchlist, Manage watcher list for the project that the issue is in.
-
issueWorklogProperties.deleteWorklogPropertyDeletes a worklog property.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
- If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
-
issueWorklogProperties.getWorklogPropertyReturns the value of a worklog property.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
- If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
-
issueWorklogProperties.getWorklogPropertyKeysReturns the keys of all properties for a worklog.
This operation can be accessed anonymously.
required:
- Browse projects for the project that the issue is in.
- If is configured, issue-level security permission to view the issue.
- If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
-
issueWorklogProperties.setWorklogPropertySets the value of a worklog property. Use this operation to store custom data against the worklog.
The value of the request body must be a , non-empty JSON blob. The maximum length is 32768 characters.
This operation can be accessed anonymously.
required:
[...]
